
# Rename frequency response files created by VACS to the naming pattern used by VituixCAD

$table = @{

  _001 = -90
  _002 = -80
  _003 = -70
  _004 = -60
  _005 = -50
  _006 = -40
  _007 = -30
  _008 = -20
  _009 = -10
  _010 = 0
  _011 = 10
  _012 = 20
  _013 = 30
  _014 = 40
  _015 = 50
  _016 = 60
  _017 = 70
  _018 = 80
  _019 = 90
 }

 Get-ChildItem -Path .\ -File | where {$_ -match '.*_0[0,1,2,3]'} | % { $_.FullName } | foreach {
  $index = $_.Substring($_.LastIndexOf('_'), 4)
  $result = $table[$index]
 
  #echo "  $result"
  $newName =$_.replace($index, $result)
 
  #echo "$newName"
  Rename-Item -Path $_ -NewName $newName
 }
 
 